Subject: bug#32210: Support medium weighted fonts

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 19 Nov 2019 09:23:26 +0100

Eli Zaretskii <[email-masked]> writes:

> I'm not surprised.  Just look at the different conversions of weight
> symbols into numbers, and you will see the mess.  For example,
> font_parse_fcname obviously supports only a subset of weight values,
> so it's enough to convert a value back and forth to get a mismatch, at
> least in principle.

Yup.

I think somebody (ahem) will have to carve out some serious time and go
through all the back-and-forth font parsing functions and ensure that
they all agree with each other to avoid these mismatches.

I don't have the stamina to do that right now, so if somebody else wants
to look into it, it's fine by me.  :-)  But if not, I'll try to have a
whack at it sometime later.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no